/*
** DESKTOP STYLESHEET
/*************************
** 00 -- Global Styles
** 00 -- Base Styles
** 00 -- Layout
** 00 -- Header Homepage
** 00 -- Hompage: Hero
** 00 -- Homepage: What is Locksport
** 00 -- Homepage: Options
** 00 -- Homepage: Plan an Event
** 00 -- Content Pages
** 00 -- Contact Form
** 00 -- Footer
**************************/

@media (min-width: 64rem){

  /*
  ** 02 -- Base Styles
  */

  .heading-normal {
    font-size: 1.5rem;
    line-height: 1.2;
  }
  .heading-large {
    font-size: 2rem;
    line-height: 1.3;
  }
  .heading-larger {
    font-size: 2.8rem;
    line-height: 1.3;
  }
  .heading-largest {
    font-size: 3.5rem;
    line-height: 1.1;
  }

  button.primary, 
  button.secondary {
    padding: 0.5rem 1.250rem 0.625rem;
  }
  button.primary a,  
  button.secondary a{
    font-size: 1.125rem;
  }
  .fa-arrow-circle-o-right {
    font-size: .875rem;
  }
  button i.fa-envelope-o {
     font-size: 1rem;
  }


  .flex-container.content-rail{
    display: -webkit-flex;
    display: flex;
    width: 100%;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    -webkit-align-items: flex-start;
    align-items: flex-start;
    flex-direction: row;
  }
  .flex-container.content-rail .flex-item:first-of-type {
    width: 70%;
    margin-right: 10%;
  }
  .flex-container.content-rail .flex-item:nth-of-type(2) {  
    position: relative;
    width: 30%;
  }
  /*
  ** 04 -- Header Homepage
  */

  header .logo img {
    width: 2.6rem;
    margin-right: .6rem;
  }
  .hero h1 {
    font-size: 1.9rem;
  }
/*  header .mobile-menu {
    background-color: transparent;
    position: static;
    z-index: inherit;
    height: auto;
    display: inline-block;
    float: right;
  }*/
  header nav ul {
    padding-top: 1.5rem;
    display: block;
  }
  header nav li {
    display: inline-block;
    margin-right: 2.125rem;
    position: relative;
  }
  header nav li a {
    font-size: 1.25rem;
    position: relative;
  }
  header nav li:last-of-type{
    margin-right: 0;
  }
  header .mobile-menu-button {
    display: none;
  }

  .subpage-header {
    padding: 2rem 0 1.75rem 0;
    height:auto;
  }
  .subpage-header header {
    top:0;

  }
  .subpage-header header .logo {
    position: relative;
    top: -2px;
  }
  .subpage-header h2 {
    font-size: 1.5rem;
    width: 3rem;
    position:relative;
    top:-2px;

  }
  .subpage-header header .logo img {
    width: 1.9rem;
    margin-right: .4rem;
    top:0;
  }
  .subpage-header header nav ul {
    padding-top: 0;
  }
  .subpage-header header nav ul li a{
    font-size: 1.125rem;
  }



  /*
  ** 05 -- Hompage: Hero
  */
  .hero {
    height: 650px;
    background: linear-gradient(to left, #0e113c  0%, #0d175b 50%, #050d44 50%, #0a0c30 100%);
  }
  .hero h2 {
    font-size: 3rem;
    font-family: 'Rubik', Arial, sans-serif;
    font-weight: 500;
    line-height: 1.3;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, .5);
    color: white;
  }
  .hero-container > .flex-container {
    margin: 2.25rem 0 6rem 0; 
    height: 290px;
    flex-direction: row;
  }
  .hero .flex-item {
    margin: 1.3rem;
  }
  .flex-item.lock-image {
    width: auto;
    display: inline-block;
  }
  .flex-item.hero-text-left {
    text-align: right;
    display: inline-block;
    width: 30%;
  }
  .flex-item.hero-text-right {
    text-align: left;
    display: inline-block;
    width: 30%;
  }
  .hidden-on-large {
    display: none;
  }
  .mobile-lock-image {
    display: none;
  }
  .lock-image {
    position: relative;
    max-width: 100%;
    width: 255px;
  }
  .hero .hero-container h3.heading-normal {
  color: rgba(255,255,255, .75);
  font-style: italic;
  font-weight: 400; 
  line-height: 1.2;
  letter-spacing: .005rem;
  text-align: center;
  font-size: 1.65rem;
}


  /*
  ** 06 -- Homepage: What is Locksport
  */

  section.HomepageWhatIsLocksport,
  section.HomepageLocksportOptions {
    padding: 2rem 0;
  }
  section.HomepageWhatIsLocksport {
    background-image: url('../img/pick-pattern.svg');
    background-size: 600px;
    background-position: 0% 120%;
    background-repeat: no-repeat;
/*    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 85%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);*/
    /*height:620px;*/
  /*  height: 600px;*/

  }
  section.HomepageWhatIsLocksport .flex-container {
    margin-top: 1rem;
    flex-direction: row;
    justify-content: center;
  }
  section.HomepageWhatIsLocksport .flex-container p {
    line-height: 1.55;
    margin-bottom: 1rem;
  }
  section.HomepageWhatIsLocksport .flex-item:first-of-type {
    width:30%;
    margin: 0 3rem 0 2rem;
  }
  section.HomepageWhatIsLocksport .flex-item:nth-of-type(2) {
    width: 70%;
    margin-right:1rem;
  }


  /*
  ** 07 -- Homepage: Options
  */

  /*section.HomepageLocksportOptions {
    -webkit-clip-path: polygon(0 0, 100% 20%, 100% 100%, 0 100%);
    clip-path: polygon(0 20%, 100% 0, 100% 100%, 0 100%);
    position: relative;
    top:-200px;
  }
  section.HomepageLocksportOptions .flex-container {
      -webkit-align-items: stretch;
    align-items: stretch;
      -webkit-justify-content: space-around;
    justify-content: space-around;
    margin:10rem 0 3rem 0;
    height:100%;
    flex-direction: row;

  }
  section.HomepageLocksportOptions .flex-item {
    background-color: #f7f7f7; 
    border: 2px solid rgba(255,255,255,.9);
    width: 28%;
    position: relative;
    height: 480px;
    transition: all .6s ease;
    margin-bottom: 0;
    padding: 0;
  }

  section.HomepageLocksportOptions .flex-item img {
    width: 100%;
    max-width: 100%;
    height: auto;
    opacity: 1;
    transform: all .6s ease;
    float: none;
  }
  section.HomepageLocksportOptions .flex-item .optionImage {
    position: relative;
  }
  section.HomepageLocksportOptions .overlay {
    background: linear-gradient(to top, rgba(0,0,0,.75), rgba(0,0,0,0));
    position: absolute;
    top:0;
    right:0;
    left:0;
    bottom:0;
    height:100%;
    width: 100%;
    display: block;
  }
  section.HomepageLocksportOptions .flex-item p {
    color: #19214E;
    padding:.2rem 1.8rem;
    position: relative;
    top:8%;
    width: 100%;
    transition: all .2s ease;
  }
  section.HomepageLocksportOptions h3 {
    color: #fff;
    padding: 0 1.5rem;
    position: absolute;
    z-index: 9999;
    width: 100%;
    margin-bottom: 0;
    margin-top:52%;
    float:none;

  }
  section.HomepageLocksportOptions button,
  .sticky-card button {
    position: absolute;
    right: -3%;
    bottom: 4.5%;
    width: auto;
    margin: 0;
  }

  section.HomepageLocksportOptions .flex-item:hover .overlay {
   background: linear-gradient(to top, rgba(0,0,0,.8), rgba(0,0,0,.4));
   display:inline-block;
  }

  h3 span.inverse {
    color:  #19214E; 
}*/

.hide-on-mobile {
  display: block;
  height: 8px;
}




  /*
  ** 08 -- Homepage: Plan an Event
  */
  section.HomepagePlanAnEvent {
    margin: 3rem 0 0;
    /*margin-bottom: -150px;*/
  
  }
  section.HomepagePlanAnEvent .flex-container {
    height:100%;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    -webkit-align-items: center;
    align-items: center;
    position: relative;
    /*top:-70px;*/
    flex-direction: row;
  }
  section.HomepagePlanAnEvent h2 {
    margin-bottom: 3rem;
  }
  section.HomepagePlanAnEvent button {
    width:100%;
    margin-bottom: 20px;
    padding: 0.575rem 1.250rem 0.625rem;
  }
  section.HomepagePlanAnEvent button a {
    font-size: 1.25rem;
    font-weight: 700;
  }
  section.HomepagePlanAnEvent .flex-container .flex-item:last-of-type {
    width: 50%;
    position: relative;
    margin:0 3rem 1rem 2rem;
    /*top:100px;*/
    order:2;
  }
  section.HomepagePlanAnEvent .flex-container .flex-item:first-of-type {
    width: auto;
    width: 60%;
    margin:0 3rem 1rem 2rem;
    order:1;
  }
  section.HomepagePlanAnEvent .flex-container .flex-item img {
    width: auto;
    max-width: 450px;
    position: relative;
    display: block;
    transform: rotate(90deg);
    -moz-transform: scaleX(-1);
        -o-transform: scaleX(-1);
        -webkit-transform: scaleX(-1);
        transform: scaleX(-1);
    filter: FlipH;
    -ms-filter: "FlipH";
  }

  /*
  ** 09 -- Content Pages
  */
  section.content-page-hero {
    border-bottom: 1px solid #ccc;
    padding: 3rem 0 3.5rem 0;
    margin-bottom: 3.5rem;
    background: linear-gradient(to left, #eee, #fff)
  }
  section.content-page-hero.slim {
     padding: 2.5rem 0 2rem; 
  }
  section.content-page-hero h1 {
    margin-bottom: 1rem;
  }
  section.content-page-hero p {
    width: 65%;
    font-size:1.25rem;
  }
  .content-rail {
    margin-bottom: 2rem;
  }
  .content-rail .flex-item {
    position: relative;
  }
  .content-rail h3.heading-large {
    margin-bottom: 1.25rem;
    margin-top:3.5rem;
    font-weight:700;
  }
  .content-rail h3.heading-large:first-of-type {
    margin-top:0;
  }
  #sidebar {
  display: block;
  }
  .sticky-card.mobile{
  display: none;
  }
  .sticky-card {
    background-color: #fff; 
    border: 1px solid #ccc;
    box-shadow: 15px 15px 0px 0px #19214E;
    width: 100%;  
    top:-200px;
    height: 280px;
    padding:1.5rem 1rem 2rem 2rem;
    position: absolute;
    transition: all .6s ease;
  }
  .sticky-card h4 {
    color: #19214E;
    line-height: 2rem;
    font-size: 1.5rem;
    text-align: left;
  }
  .sticky-card h4:before {
    content:'';
    width:100px;
    height:4px;
    background-color: #19214E;
    position: relative;
    top:80px;
    display: block;
  }
  .sticky-card p {
    padding-top: 36px;
    color: #19214E;
    text-align: left;
    font-size: 1.125rem;
    padding-bottom: 20px;

  }
  .sticky-card.about{
    padding:0;
    top:-230px;
    border:none;
        box-shadow: 15px 15px 0px 0px #19214E;
  }
  .sticky-card.about .img-container {
    width:100%;
    height:100%;
    overflow: hidden;
    position: relative;

  }
  .sticky-card.about  .img-container img {
    width: auto;
    height: 100%;
    position: absolute;
    left:50%;
    top:50%;
    transform: translate(-50%,-50%);
    display: block;
  }
  .sticky-card.about .primary {
    background-color: rgba(255,255,255,1);
  }


  /*
  ** 10 -- Contact Form
  */
  .form-container {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 5px 1px rgba(0,0,0,.5);
    margin: 0 auto;
    width: 700px;
    margin-top: 2rem;
    
  }
  .form-container .contact-hero {
    border-bottom: 2px solid #ccc;
    border-radius: 5px 5px 0 0;
  }
  .form-container h1 {
    font-weight: 700;
    text-align: center;
    padding:2rem 2.5rem 1rem;
  }
  .form-container p {
    padding: 0 4rem 2rem;
    text-align: center;
  }
  .form-container form {
    padding: 3.125rem 4rem 2.5rem;
  }
  .form-container form div {
    margin-bottom: 3rem;
  }
  .form-container form label,
  .form-container form input,
  .form-container form select,
  .form-container form textarea {
    display: block;
    width: 100%;
  }
  .form-container form label,
  .form-container form input::placeholder,
  .form-container form select {
    font-family: 'Rubik', Arial, sans-serif;
  }
  .form-container form label {
    color: #222;
    font-weight: 500;
    padding-bottom: .25rem;
    font-size:.75rem;
    text-transform: uppercase;
    letter-spacing: 1px;
  }
  .form-container form label[for="size"],
  .form-container form label[for="type"]{
    padding-bottom: 1rem;
  }
  .form-container form input::placeholder,
  .form-container form textarea::placeholder {
    color: #888;
    font-size:1.25rem;
    font-weight: 300;
    letter-spacing: 1px;
    line-height: 1.33;
  }
  .form-container form input,
  .form-container form textarea,
  .form-container form select {
    border: none;
    border-bottom: 2px solid #ccc;
    padding:.5rem 0 .5rem;
    font-size:1rem;
  }
  .form-container form select {
    height:42px;
    font-size:1.125rem;
    color: #666;
    font-weight: 300;
    letter-spacing: 1px;
  }
  .form-container form input:focus,
  .form-container form textarea:focus,
  .form-container form select:focus {
    outline: none;
    border-bottom: 2px solid #ffa400;
  }

  .form-container form button {
    background: linear-gradient(to right, #ffc200, #ffa400);
    width: 100%;
  }
  .form-container form button a {
    font-size: 1.25rem;
  }

  /*
  ** 11 -- Footer
  */

  footer {
    margin-top: 3 rem;
  }
  footer .container:first-of-type {
    padding: 3rem 2rem;
  }
  footer .container div.footer-nav {
    float: left;
    padding-top: .75rem;
  }
  footer ul {
    position: relative;
  }
  footer ul li {
    display: inline-block;
    margin-right: 2rem;
    float: left;
    position: relative;
  }
  footer li a {
    color: #fff;
    font-family: 'Inconsolata', Consolas, monospace;
    font-size: 1.25rem;
    letter-spacing: 0.063rem;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, .1);
    position: relative;
  }
  footer .container div.footer-nav-button{
    float: right;
  }
  footer .container div.footer-nav-button button a{
    font-size: 1.125rem;
  }
  footer div.footer-details {
    border-top:1px solid rgba(255,255,255,.1);
  }
  footer div.footer-details .container {
    padding: 1.5rem 2rem;
  }

  footer div.footer-details .footer-details-left {
    float: left;
  }
  footer div.footer-details .footer-details-right {
    float: right;
  }
  footer div.footer-details p {
    font-family: 'Rubik', Arial, sans-serif;
    color: rgb(177, 192, 226);
    display: inline-block;
    font-size: .875rem;
    padding-right: 1rem;
    font-weight:400;
  }
  footer div.footer-details p.copyright ,
  footer div.footer-details p.copyright a {
    margin-top: .25rem;
    font-size: .75rem;
  }
  footer div.footer-details p a {
    box-shadow: none;
    color: #fff;
    transition: all .2s ease;
  }
  footer div.footer-details p a:hover {
    color: rgb(177, 192, 226);  
  }


}





